This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508551 - tracebacks during setroubleshootd startup (sesearch module not found)
tracebacks during setroubleshootd startup (sesearch module not found)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Liu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 10:35 EDT by Ales Zelinka
Modified: 2009-06-29 11:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 11:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2009-06-28 10:35:14 EDT
Description of problem:

From /var/log/setroubleshoot/setroubleshootd.log:

2009-06-28 16:14:56,237 [plugin.ERROR] failed to load bind_ports plugin
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/util.py", line 428, in load_plugins
    mod = imp.load_module(module_name, mod_fp, mod_path, mod_description)
  File "/usr/share/setroubleshoot/plugins/bind_ports.py", line 24, in <module>
    from sesearch import *
ImportError: No module named sesearch
2009-06-28 16:14:56,251 [plugin.ERROR] failed to load default plugin
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/util.py", line 428, in load_plugins
    mod = imp.load_module(module_name, mod_fp, mod_path, mod_description)
  File "/usr/share/setroubleshoot/plugins/default.py", line 24, in <module>
    from sesearch import *
ImportError: No module named sesearch
2009-06-28 16:14:56,254 [plugin.ERROR] failed to load restorecon plugin
Traceback (most recent call last):


Version-Release number of selected component (if applicable):
setroubleshoot-server-2.2.9-1.fc12.x86_64
setroubleshoot-plugins-2.1.3-1.fc12.noarch
setroubleshoot-2.2.9-1.fc12.x86_64


How reproducible:
always

Steps to Reproduce:
1. start setroubleshootd
Comment 1 Ales Zelinka 2009-06-28 10:37:14 EDT
Wrong component, sorry.
Comment 2 Thomas Liu 2009-06-29 11:02:49 EDT
This bug has been resolved in the latest version, 2.2.10.  We moved sesearch into the setroubleshoot package but failed to update the import statements in the plugins that used it.

Note You need to log in before you can comment on or make changes to this bug.